"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ContextualButton = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiButtons = require("@instructure/ui-buttons");

var _uiReactUtils = require("@instructure/ui-react-utils");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var ContextualButton =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(ContextualButton, _Component);

  function ContextualButton() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ContextualButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ContextualButton)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.handleClick = function () {
      var _this$props;

      for (var _len2 = arguments.length, params = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        params[_key2] = arguments[_key2];
      }

      (_this$props = _this.props).onClick.apply(_this$props, params.concat([_this.props.context]));
    };

    return _this;
  }

  (0, _createClass2.default)(ContextualButton, [{
    key: "render",
    value: function render() {
      var buttonProps = (0, _uiReactUtils.omitProps)(this.props, {}, ['context', 'onClick']);
      return _react.default.createElement(_uiButtons.Button, Object.assign({}, buttonProps, {
        onClick: this.handleClick
      }), this.props.children);
    }
  }]);
  ContextualButton.displayName = "ContextualButton";
  return ContextualButton;
}(_react.Component);

exports.ContextualButton = ContextualButton;
ContextualButton.propTypes = _objectSpread({}, _uiButtons.Button.propTypes, {
  context: _propTypes.default.any
  /* eslint-disable-line react/forbid-prop-types */

});
ContextualButton.defaultProps = _objectSpread({}, _uiButtons.Button.defaultProps, {
  context: void 0
});