"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.archiveBankEntry = exports.addBankEntries = void 0;

var _quizCommon = require("@instructure/quiz-common");

var addBankEntries = function addBankEntries(bankEntries) {
  return {
    type: _quizCommon.ADD_BANK_ENTRIES,
    payload: bankEntries
  };
};

exports.addBankEntries = addBankEntries;

var archiveBankEntry = function archiveBankEntry(bankEntryId) {
  return {
    type: _quizCommon.ARCHIVE_BANK_ENTRY,
    payload: bankEntryId
  };
};

exports.archiveBankEntry = archiveBankEntry;