"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _quizCommon = require("@instructure/quiz-common");

var _uiElements = require("@instructure/ui-elements");

var _uiIcons = require("@instructure/ui-icons");

var _uiButtons = require("@instructure/ui-buttons");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _ref =
/*#__PURE__*/
_react.default.createElement(_uiIcons.IconEyeSolid, {
  variant: "icon-inverse"
});

var PreviewFrame =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(PreviewFrame, _Component);

  function PreviewFrame() {
    (0, _classCallCheck2.default)(this, PreviewFrame);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(PreviewFrame).apply(this, arguments));
  }

  (0, _createClass2.default)(PreviewFrame, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_quizCommon.BarneyBox, {
        screenReaderText: (0, _formatMessage.default)('You are in preview mode.')
      }, _react.default.createElement(_quizCommon.BarneyBox.Body, null, this.props.children), _react.default.createElement(_quizCommon.BarneyBox.Footer, null, _react.default.createElement(_uiElements.Heading, {
        level: "h4",
        color: "primary-inverse"
      }, _ref, " \xA0", (0, _formatMessage.default)('Preview')), _react.default.createElement(_uiButtons.Button, {
        onClick: this.props.onPreviewClose
      }, (0, _formatMessage.default)('Exit Preview'))));
    }
  }]);
  PreviewFrame.displayName = "PreviewFrame";
  return PreviewFrame;
}(_react.Component);

exports.default = PreviewFrame;
PreviewFrame.propTypes = {
  children: _propTypes.default.element.isRequired,
  onPreviewClose: _propTypes.default.func.isRequired
};