"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _uiElements = require("@instructure/ui-elements");

var _uiA11y = require("@instructure/ui-a11y");

var _uiThemeable = require("@instructure/ui-themeable");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var styles = {
  componentId: 'fvWlS',
  template: function template(theme) {
    return "\n\n.fvWlS_bGBk{align-items:center;display:flex;flex-direction:row;justify-content:center}";
  },
  'root': 'fvWlS_bGBk'
};
var MetricsListItem = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(MetricsListItem, _Component);

  function MetricsListItem() {
    (0, _classCallCheck2.default)(this, MetricsListItem);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(MetricsListItem).apply(this, arguments));
  }

  (0, _createClass2.default)(MetricsListItem, [{
    key: "renderNoValue",
    value: function renderNoValue() {
      return _react.default.createElement("span", null, _react.default.createElement(_uiA11y.ScreenReaderContent, null, (0, _formatMessage.default)('No value')), _react.default.createElement(_uiA11y.PresentationContent, null, (0, _formatMessage.default)('--')));
    }
  }, {
    key: "render",
    value: function render() {
      var names = (0, _classnames.default)(styles.root, this.props.className);
      var _this$props = this.props,
          value = _this$props.value,
          label = _this$props.label;
      return _react.default.createElement("div", {
        className: names
      }, _react.default.createElement(_uiElements.MetricsListItem, {
        label: label,
        value: value || this.renderNoValue()
      }));
    }
  }]);
  MetricsListItem.displayName = "MetricsListItem";
  return MetricsListItem;
}(_react.Component), _class2.propTypes = _objectSpread({}, _uiElements.MetricsListItem.propTypes, {
  className: _propTypes.default.string,
  value: _propTypes.default.node
}), _class2.defaultProps = {
  className: '',
  value: null
}, _temp)) || _class);
exports.default = MetricsListItem;