"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = loadLearnositySdk;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

/* global LearnosityApp */
var learnosityURL = '//questions.learnosity.com/?v2';
var promise;

function loadLearnositySdk() {
  return _loadLearnositySdk.apply(this, arguments);
}

function _loadLearnositySdk() {
  _loadLearnositySdk = (0, _asyncToGenerator2.default)(
  /*#__PURE__*/
  _regenerator.default.mark(function _callee() {
    return _regenerator.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!promise) {
              promise = fetchSdk();
            }

            return _context.abrupt("return", promise);

          case 2:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _loadLearnositySdk.apply(this, arguments);
}

function fetchSdk() {
  return _fetchSdk.apply(this, arguments);
}

function _fetchSdk() {
  _fetchSdk = (0, _asyncToGenerator2.default)(
  /*#__PURE__*/
  _regenerator.default.mark(function _callee2() {
    var response, learnositySdk, addScript;
    return _regenerator.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return window.fetch(learnosityURL);

          case 2:
            response = _context2.sent;

            if (response.ok) {
              _context2.next = 5;
              break;
            }

            throw new Error('Failed to load the Learnosity SDK');

          case 5:
            _context2.next = 7;
            return response.text();

          case 7:
            learnositySdk = _context2.sent;
            addScript = document.createElement('script');
            addScript.textContent = learnositySdk;
            document.body.appendChild(addScript);
            return _context2.abrupt("return", LearnosityApp);

          case 12:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));
  return _fetchSdk.apply(this, arguments);
}